org.apache.geode.distributed

## Class LocatorLauncher.LocatorState

- java.lang.Object
- - org.apache.geode.distributed.AbstractLauncher.ServiceState<java.lang.String>
  - - org.apache.geode.distributed.LocatorLauncher.LocatorState

- Enclosing class:
    LocatorLauncher

      public static class LocatorLauncher.LocatorState
      extends AbstractLauncher.ServiceState<java.lang.String>

  The LocatorState is an immutable type representing the state of the specified Locator at any given moment in time. The state of the Locator is assessed at the exact moment an instance of this class is constructed.
  See Also:
    `AbstractLauncher.ServiceState`

- - ### Field Summary

    - ### Fields inherited from class org.apache.geode.distributed.AbstractLauncher.ServiceState

      `JSON_CLASSPATH, JSON_GEMFIREVERSION, JSON_HOST, JSON_JAVAVERSION, JSON_JVMARGUMENTS, JSON_LOCATION, JSON_LOGFILE, JSON_MEMBERNAME, JSON_PID, JSON_PORT, JSON_STATUS, JSON_STATUSMESSAGE, JSON_TIMESTAMP, JSON_UPTIME, JSON_WORKINGDIRECTORY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LocatorState(AbstractLauncher.Status status, java.lang.String statusMessage, long timestamp, java.lang.String locatorLocation, java.lang.Integer pid, java.lang.Long uptime, java.lang.String workingDirectory, java.util.List<java.lang.String> jvmArguments, java.lang.String classpath, java.lang.String gemfireVersion, java.lang.String javaVersion, java.lang.String logFile, java.lang.String host, java.lang.String port, java.lang.String memberName)`
    `` | `LocatorState(LocatorLauncher launcher, AbstractLauncher.Status status)`
    `` | `LocatorState(LocatorLauncher launcher, AbstractLauncher.Status status, java.lang.String errorMessage)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocatorLauncher.LocatorState` | `fromDirectory(java.lang.String workingDirectory, java.lang.String memberName)`
    `static LocatorLauncher.LocatorState` | `fromJson(java.lang.String json)` Unmarshals a LocatorState instance from the JSON String.
    `protected java.lang.String` | `getServiceName()` Gets the name of the GemFire service.

    - ### Methods inherited from class org.apache.geode.distributed.AbstractLauncher.ServiceState

      `format, getClasspath, getGemFireVersion, getHost, getJavaVersion, getJvmArguments, getLogFile, getMemberName, getPid, getPort, getServiceLocation, getStatus, getStatusMessage, getTimestamp, getUptime, getWorkingDirectory, identifyPid, isStartingNotRespondingOrNull, isStartingOrNotResponding, isVmWithProcessIdRunning, toDaysHoursMinutesSeconds, toJson, toString, toString, toString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocatorState

          public LocatorState(LocatorLauncher launcher,
                              AbstractLauncher.Status status)

    - #### LocatorState

          public LocatorState(LocatorLauncher launcher,
                              AbstractLauncher.Status status,
                              java.lang.String errorMessage)

    - #### LocatorState

          protected LocatorState(AbstractLauncher.Status status,
                                 java.lang.String statusMessage,
                                 long timestamp,
                                 java.lang.String locatorLocation,
                                 java.lang.Integer pid,
                                 java.lang.Long uptime,
                                 java.lang.String workingDirectory,
                                 java.util.List<java.lang.String> jvmArguments,
                                 java.lang.String classpath,
                                 java.lang.String gemfireVersion,
                                 java.lang.String javaVersion,
                                 java.lang.String logFile,
                                 java.lang.String host,
                                 java.lang.String port,
                                 java.lang.String memberName)

  - ### Method Detail

    - #### fromJson

          public static LocatorLauncher.LocatorState fromJson(java.lang.String json)

      Unmarshals a LocatorState instance from the JSON String.
      Returns:
        a LocatorState value unmarshalled from the JSON String.

    - #### fromDirectory

          public static LocatorLauncher.LocatorState fromDirectory(java.lang.String workingDirectory,
                                                                   java.lang.String memberName)

    - #### getServiceName

          protected java.lang.String getServiceName()

      Description copied from class: `AbstractLauncher.ServiceState`
      Gets the name of the GemFire service.
      Specified by:
        `getServiceName` in class `AbstractLauncher.ServiceState<java.lang.String>`
      Returns:
        a String indicating the name of the GemFire service.